Accounts
Adjust covered margin call amount
Adjust covered margin call amount
PATCH
https://api-gw.verolabs.co
/
api
/
v1
/
users
/
covered-margin-call
Adjust covered margin call amount
curl --request PATCH \
--url https://api-gw.verolabs.co/api/v1/users/covered-margin-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"symbol": "<string>",
"amount": 1
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>', symbol: '<string>', amount: 1})
};
fetch('https://api-gw.verolabs.co/api/v1/users/covered-margin-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-gw.verolabs.co/api/v1/users/covered-margin-call"
payload = {
"accountId": "<string>",
"symbol": "<string>",
"amount": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-gw.verolabs.co/api/v1/users/covered-margin-call"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"symbol\": \"<string>\",\n \"amount\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-gw.verolabs.co/api/v1/users/covered-margin-call");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"accountId\": \"<string>\",\n \"symbol\": \"<string>\",\n \"amount\": 1\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-gw.verolabs.co/api/v1/users/covered-margin-call");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"accountId\": \"<string>\",\n \"symbol\": \"<string>\",\n \"amount\": 1\n}");
CURLcode ret = curl_easy_perform(hnd);{
"status": "<string>",
"message": "<string>",
"accountId": "<string>",
"symbol": "<string>",
"amount": 123,
"newCoveredMarginCall": 123,
"maintenanceMargin": 123,
"tradingPower": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}Authorizations
Bearer token used for protected REST API requests.
Body
application/json
Covered margin-call payload. accountId, symbol, and amount are required.
Response
Covered margin-call update result.
Response returned after covered margin call is changed.
success or failed.
Human-readable result.
Trading account id.
Position symbol.
Requested covered margin amount.
Covered margin call value after update.
Maintenance margin after recalculation.
Trading power after recalculation.
⌘I
Adjust covered margin call amount
curl --request PATCH \
--url https://api-gw.verolabs.co/api/v1/users/covered-margin-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"symbol": "<string>",
"amount": 1
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>', symbol: '<string>', amount: 1})
};
fetch('https://api-gw.verolabs.co/api/v1/users/covered-margin-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-gw.verolabs.co/api/v1/users/covered-margin-call"
payload = {
"accountId": "<string>",
"symbol": "<string>",
"amount": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-gw.verolabs.co/api/v1/users/covered-margin-call"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"symbol\": \"<string>\",\n \"amount\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-gw.verolabs.co/api/v1/users/covered-margin-call");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"accountId\": \"<string>\",\n \"symbol\": \"<string>\",\n \"amount\": 1\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-gw.verolabs.co/api/v1/users/covered-margin-call");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"accountId\": \"<string>\",\n \"symbol\": \"<string>\",\n \"amount\": 1\n}");
CURLcode ret = curl_easy_perform(hnd);{
"status": "<string>",
"message": "<string>",
"accountId": "<string>",
"symbol": "<string>",
"amount": 123,
"newCoveredMarginCall": 123,
"maintenanceMargin": 123,
"tradingPower": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}
